version: "2"
sql:
  - engine: "postgresql"
    schema:
      - "migrations/000001_init_schema.up.sql"
    queries:
      - "sql/queries"
    gen:
      go:
        package: "db"
        out: "internal/repository/db"
        sql_package: "pgx/v5"
        emit_json_tags: true
        emit_interface: true

